Request addition of a '.navbox' CSS class.
Closed, DeclinedPublic

Description

Author: grendelkhan

Description:
The 'toccolours' CSS class, as it stands, doesn't fully format the table it's a
part of. This requires markup in the tables, which is suboptimal.

I propose the addition of the following to skins/common/common.css:

.toccolours th {
background-color:#ccccff;
text-align:center;
font-size:normal;
}

This is in concurrence with the standard Wikipedia style for navboxes. (See
[[en:Template:OSIModel]], [[en:Template:Gastroenterology]] and so forth.) This
will allow navboxes to be custom-styled along with the rest of the site, as well
as making it considerably easier to write a properly-styled navbox.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz1707.
bzimport created this task.Via LegacyMar 18 2005, 3:41 PM
bzimport added a comment.Via ConduitMar 18 2005, 4:58 PM

grendelkhan wrote:

It's tempting to add

.toccolours td {
font-size:small;
}

but the merits are debatable. On the one hand, the vast majority of navboxes
shrink their contents so that they can fit more in. But on the other hand,
double-smalling the contents would make them illegibly tiny until someone went
through and fixed them all.

On the other hand, doing a

.toccolours {
...
font-size:small;
}

.toccolours th {
...
font-size:normal;
}

would allow the user to easily override the table style in instances where small
contents are not in order ({| class="toccolours" style="font-size:normal"). The
small-text problem from above remains, but this would make the shrunken text
inside at least be the default. If there were a way to prevent double-shrinking,
that would be ideal.

bzimport added a comment.Via ConduitMar 18 2005, 5:01 PM

grendelkhan wrote:

Diff to implement the conservative set of features in common.css.

This is a patch to be applied to common.css to implement the first, more
conservative version of this change.

attachment common.css.diff ignored as obsolete

bzimport added a comment.Via ConduitMar 24 2005, 7:39 PM

grendelkhan wrote:

After discussion on [[WP:VP]] (proposals), I've decided to change the request to
ask for a new class entirely, instead of overloading the .toccolours class to do
things it was not originally intended for.

I would like the addition of a .navbox CSS class. In addition to being named for
what it would be used for, the automatic use of small fonts for the inside of
the navbox could be implemented, since the new class would only be used as the
navbox templates were rewritten. A new diff is being attached.

bzimport added a comment.Via ConduitMar 24 2005, 7:39 PM

grendelkhan wrote:

Diff to create new .navbox CSS class.

Attached: common.css.diff

bzimport added a comment.Via ConduitJul 10 2005, 8:25 AM

zigger wrote:

Has this been superseded by the changes to the 1.5 navigation lists?

bzimport added a comment.Via ConduitJul 10 2005, 9:13 AM

zigger wrote:

(In reply to comment #5)

Has this been superseded by the changes to the 1.5 navigation lists?

In answer to myself: No. Navboxes are not navigation lists.

brion added a comment.Via ConduitOct 9 2005, 7:49 AM

Shouldn't this be in the local site css in the wiki?

bzimport added a comment.Via ConduitOct 9 2005, 1:27 PM

robchur wrote:

Agreed; this can be changed depending upon the needs of the wiki itself, via
[[MediaWiki:monobook.css]], [[MediaWiki:classic.css]] et al. Marking WONTFIX.

Add Comment